rte_pmd_cnxk_ipsec_inb_ctx_update_reg(3)

NAME
rte_pmd_cnxk_ipsec_inb_ctx_update_reg

SYNOPSIS

#include <rte_pmd_cnxk.h>

  Data Fields

uint64_t ar_base
uint64_t ar_valid_mask
uint64_t hard_life
uint64_t soft_life
uint64_t mib_octs
uint64_t mib_pkts
uint64_t ar_winbits [RTE_PMD_CNXK_AR_WINBITS_SZ]

Detailed Description

Inbound IPsec context update region

Definition at line 115 of file rte_pmd_cnxk.h.

Field Documentation

  uint64_t ar_base
Highest sequence number received

Definition at line 117 of file rte_pmd_cnxk.h.

  uint64_t ar_valid_mask
Valid bit for 64-bit words of replay window

Definition at line 119 of file rte_pmd_cnxk.h.

  uint64_t hard_life
Hard life for SA

Definition at line 121 of file rte_pmd_cnxk.h.

  uint64_t soft_life
Soft life for SA

Definition at line 123 of file rte_pmd_cnxk.h.

  uint64_t mib_octs
MIB octets

Definition at line 125 of file rte_pmd_cnxk.h.

  uint64_t mib_pkts
MIB packets

Definition at line 127 of file rte_pmd_cnxk.h.

  uint64_t ar_winbits[RTE_PMD_CNXK_AR_WINBITS_SZ]
AR window bits

Definition at line 129 of file rte_pmd_cnxk.h.

Author

Generated automatically by Doxygen for DPDK from the source code.